Subject: Bug#494059: smtp_sasl_password_maps should be optional

From: Jelmer Vernooij <[email-masked]>
Date: Thu, 07 Aug 2008 02:16:21 +0200

Package: postfix
Version: 2.5.2-2
Severity: normal

Postfix requires smtp_sasl_password_maps for client-side SASL at the
moment. This should not be required since not all SASL mechanisms
require a password (e.g. GSSAPI or ANONYMOUS).

- -- System Information:
Debian Release: lenny/sid
  APT prefers gutsy
  APT policy: (500, 'gutsy'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages postfix depends on:
ii  adduser                  3.109           add and remove users and groups
ii  debconf [debconf-2.0]    1.5.23          Debian configuration management sy
ii  dpkg                     1.14.20         Debian package management system
ii  libc6                    2.7-13          GNU C Library: Shared libraries
ii  libdb4.6                 4.6.21-10       Berkeley v4.6 Database Libraries [
ii  libsasl2-2               2.1.22.dfsg1-22 Cyrus SASL - authentication abstra
ii  libssl0.9.8              0.9.8g-13       SSL shared libraries
ii  lsb-base                 3.2-19          Linux Standard Base 3.2 init scrip
ii  netbase                  4.33            Basic TCP/IP networking system
ii  ssl-cert                 1.0.22          simple debconf wrapper for OpenSSL

postfix recommends no packages.

Versions of packages postfix suggests:
ii  balsa [mail-reader 2.3.25-1              An e-mail client for GNOME
ii  bsd-mailx [mail-re 8.1.2-0.20071201cvs-3 A simple mail user agent
ii  emacs22 [mail-read 22.2+2-3              The GNU Emacs editor
ii  evolution [mail-re 2.22.3.1-1            groupware suite with mail client a
ii  icedove [mail-read 2.0.0.16-1            free/unbranded thunderbird mail/ne
ii  libsasl2-modules   2.1.22.dfsg1-22       Cyrus SASL - pluggable authenticat
ii  mutt [mail-reader] 1.5.18-4              text-based mailreader supporting M
pn  postfix-cdb        <none>                (no description available)
pn  postfix-ldap       <none>                (no description available)
pn  postfix-mysql      <none>                (no description available)
pn  postfix-pcre       <none>                (no description available)
pn  postfix-pgsql      <none>                (no description available)
ii  procmail           3.22-16               Versatile e-mail processor
ii  resolvconf         1.41                  name server information handler
ii  sasl2-bin          2.1.22.dfsg1-22       Cyrus SASL - administration progra
ii  sunbird [mail-read 0.2.99+0.3alpha1-3    Sunbird standalone mail client

- -- debconf information excluded